- job:
    name: android-hikey-linaro-4.14-pmwg
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
                - job-workspace
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
    parameters:
        - string:
            name: KERNEL_BRANCH
            default: 'android-hikey-linaro-4.14-pmwg'
        - string:
            name: KERNEL_DESCRIBE
        - string:
            name: SRCREV_kernel
        - string:
            name: REFERENCE_BUILD_URL
            default: 'https://snapshots.linaro.org/96boards/hikey/linaro/aosp-master/945/'
        - string:
            name: DEFCONFIG
            default: 'hikey_defconfig'
        - string:
            name: DEVICE_TYPE
            default: 'hi6220-hikey'
        - string:
            name: PUB_DEST
            default: 'android/pmwg/${JOB_NAME}/${BUILD_NUMBER}'
        - string:
            name: LAVA_SERVER
            default: 'https://pmwg.validation.linaro.org/RPC2/'
        - string:
            name: QA_SERVER
            default: 'https://qa-reports.linaro.org'
        - string:
            name: QA_SERVER_PROJECT
            default: 'power'
        - string:
            name: QA_SERVER_TEAM
            default: 'pmwg'
    disabled: true
    node: docker-xenial-aosp
    display-name: 'DELETE ME'
    scm:
        - git:
            url: https://git.linaro.org/power/android.git
            refspec: +refs/heads/${KERNEL_BRANCH}:refs/remotes/origin/${KERNEL_BRANCH}
            name: origin
            branches:
                - origin/${KERNEL_BRANCH}
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=12}'
        - timeout:
            timeout: 500
        - credentials-binding:
            - text:
                credential-id: QA_REPORTS_TOKEN
                variable: QA_REPORTS_TOKEN
    builders:
        - shell:
            !include-raw: android-hikey-linaro-4.14-pmwg/builders.sh
        - linaro-publish-token
        - shell: |
            #!/bin/bash

            # Required for Mali binaries
            wget -q https://git.linaro.org/ci/job/configs.git/blob_plain/HEAD:/android-lcr/hikey/build-info/aosp-master-template.txt -O out/BUILD-INFO.txt

            # Publish
            test -d ${HOME}/bin || mkdir ${HOME}/bin
            wget -q https://git.linaro.org/ci/publishing-api.git/blob_plain/HEAD:/linaro-cp.py -O ${HOME}/bin/linaro-cp.py
            time python3 ${HOME}/bin/linaro-cp.py \
              --server ${PUBLISH_SERVER} \
              --build-info out/BUILD-INFO.txt \
              --link-latest \
              out/ ${PUB_DEST}
        - shell:
            !include-raw: android-hikey-linaro-4.14-pmwg/submit_for_testing.sh
    publishers:
        - logparser:
            parse-rules: '/var/jenkins_home/userContent/android.parse'
            unstable-on-warning: false
            fail-on-error: false
        - fingerprint:
            files: 'build/fingerprints/*'
        - groovy-postbuild:
            script:
                !include-raw: android-hikey-linaro-4.14-pmwg/postbuild.groovy
        - email-ext:
            recipients: 'private-pmwg@lists.linaro.org, vishal.bhoj@linaro.org, fathi.boudra@linaro.org'
            content-type: text
            subject: '[Jenkins] Build HiKey (${WARNINGS}/${ERRORS}): ${GIT_BRANCH} ${GIT_REVISION,length=12}'
            body: |
                Project: ${PROJECT_NAME}
                Build number: ${BUILD_NUMBER}
                Build status: ${BUILD_STATUS}
                Build URL: ${BUILD_URL}
                Build location: ${PUBLISH_SERVER}${PUB_DEST}
                Console output: ${BUILD_URL}consoleText
                Parsed warnings/errors: ${BUILD_URL}parsed_console
                Git branch: ${GIT_BRANCH}
                Git commit: ${GIT_COMMIT}

                ${GIT_URL}/commit/?h=${KERNEL_BRANCH}&id=${GIT_COMMIT}

                Errors:
                ${BUILD_LOG_REGEX, regex="^.*? error: .*?$", linesBefore=0, linesAfter=2, showTruncatedLines=false}

                Warnings:
                ${BUILD_LOG_REGEX, regex="^.*? warning: .*?$", linesBefore=0, linesAfter=2, showTruncatedLines=false}
            attach-build-log: true
            always: true
